# Codeception Test Suite Configuration
#
# Suite for functional tests
# Emulate web requests and make application process them
# Include one of framework modules (Symfony2, Yii2, Laravel5) to use it
# Remove this suite if you don't use frameworks

actor: FunctionalTester
modules:
    enabled:
        - Symfony:
              app_path: 'src'
              environment: 'test'
              kernel_class: 'Aes\Kernel'
              debug: true
        - Doctrine2:
              depends: Symfony
              cleanup: true
        - MongoDb:
              dsn: 'mongodb://user_api_aes_test:user_api_aes_test@127.0.0.1:27017/api-aes-db-test?authSource=api-aes-db-test'
              user: 'user_api_aes_test'
              password: 'user_api_aes_test'
              cleanup: true # run populator before each test
        - \Aes\Tests\Helper\Functional
